Get a user
GET/v1/users/:user_email
This route allows you to fetch a specific user in your Port organization.
To learn more about users, check out the documentation.
Request
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "string"
},
"in": "path",
"name": "user_email",
"required": true,
"description": "The email address of the user you want to operate on."
}
]
}Request body schema (JSON)
{
"title": "Body"
}Responses
- 200
- 401
- 404
Retrieved successfully.
Default Response
A resource with the provided identifier was not found
Responses (JSON)
{
"responses": {
"200": {
"description": "Retrieved successfully.",
"content": {
"application/json": {
"schema": {
"description": "Retrieved successfully.",
"properties": {
"ok": {
"enum": [
true
]
},
"user": {
"properties": {
"email": {
"type": "string"
},
"firstName": {
"type": "string"
},
"lastName": {
"type": "string"
},
"picture": {
"type": "string"
},
"status": {
"type": "string"
},
"id": {
"type": "string"
},
"type": {
"type": "string"
},
"providers": {
"type": "array",
"items": {
"type": "string"
}
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
},
"orgs": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
}
},
"required": [
"id"
]
}
},
"teams": {
"type": "array",
"items": {
"type": "string"
}
},
"roles": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
}
},
"required": [
"name"
]
}
},
"orgMembers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"orgId": {
"type": "string"
},
"status": {
"type": "string"
},
"lastLoginAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"orgId",
"status",
"lastLoginAt"
]
}
},
"termsAccepted": {
"type": "boolean",
"default": null
},
"managedByScim": {
"type": "boolean",
"default": null
},
"companyId": {
"type": "string",
"nullable": true
},
"companyRole": {
"type": "string",
"nullable": true
},
"userAccounts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"accountId": {
"type": "string"
},
"accountRole": {
"type": "string"
}
}
}
},
"teamsIdentifiers": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
},
"required": [
"ok"
],
"additionalProperties": false
}
}
}
},
"401": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"404": {
"description": "A resource with the provided identifier was not found",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error",
"message"
],
"additionalProperties": false,
"description": "A resource with the provided identifier was not found"
}
}
}
}
}
}